module.exports = {
    root: true,
    parser: 'vue-eslint-parser',
    parserOptions: {
        parser: '@typescript-eslint/parser',
        ecmaVersion: 2020,
        sourceType: 'module',
        jsxPragma: 'React',
        ecmaFeatures: {
            jsx: true,
        },
    },
    extends: [
        'prettier',
        'plugin:prettier/recommended',
        'plugin:vue/vue3-recommended',
        'plugin:@typescript-eslint/recommended',
    ],
    rules: {
        'prettier/prettier': 'error',
        '@typescript-eslint/no-explicit-any': 0,
        '@typescript-eslint/no-namespace': 'off',
        'no-alert': 'error',
        'vue/html-self-closing': 0,
        'vue/html-indent': ['error', 4],
        'vue/max-attributes-per-line': [
            2,
            {
                singleline: 120,
                multiline: { max: 80 },
            },
        ],
        'vue/singleline-html-element-content-newline': 0,
    },
}
